Bug 1129715 - [abrt] gnome-shell: _g_log_abort(): gnome-shell killed by SIGABRT
Summary: [abrt] gnome-shell: _g_log_abort(): gnome-shell killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6c6124d098b896ef143e6e7bbdb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 14:13 UTC by Ales Zelinka
Modified: 2015-06-29 22:03 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:03:31 UTC


Attachments (Terms of Use)
File: backtrace (50.64 KB, text/plain)
2014-08-13 14:13 UTC, Ales Zelinka
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-13 14:13 UTC, Ales Zelinka
no flags Details
File: core_backtrace (21.25 KB, text/plain)
2014-08-13 14:13 UTC, Ales Zelinka
no flags Details
File: dso_list (23.91 KB, text/plain)
2014-08-13 14:13 UTC, Ales Zelinka
no flags Details
File: environ (1.59 KB, text/plain)
2014-08-13 14:13 UTC, Ales Zelinka
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-13 14:13 UTC, Ales Zelinka
no flags Details
File: maps (147.99 KB, text/plain)
2014-08-13 14:13 UTC, Ales Zelinka
no flags Details
File: open_fds (6.14 KB, text/plain)
2014-08-13 14:13 UTC, Ales Zelinka
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2014-08-13 14:13 UTC, Ales Zelinka
no flags Details
File: var_log_messages (9.52 KB, text/plain)
2014-08-13 14:13 UTC, Ales Zelinka
no flags Details

Description Ales Zelinka 2014-08-13 14:13:32 UTC
Version-Release number of selected component:
gnome-shell-3.10.4-8.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 meta_monitor_config_assign_crtcs at core/monitor-config.c:1822
 #6 apply_configuration at core/monitor-config.c:864
 #7 _g_closure_invoke_va at gclosure.c:840
 #10 marshal_dbus_message_to_g_marshaller at dbus-gproxy.c:1736
 #15 dbus_g_proxy_emit_remote_signal at dbus-gproxy.c:1789
 #16 dbus_g_proxy_manager_filter at dbus-gproxy.c:1356
 #23 meta_run at core/main.c:556

Comment 1 Ales Zelinka 2014-08-13 14:13:37 UTC
Created attachment 926453 [details]
File: backtrace

Comment 2 Ales Zelinka 2014-08-13 14:13:38 UTC
Created attachment 926454 [details]
File: cgroup

Comment 3 Ales Zelinka 2014-08-13 14:13:40 UTC
Created attachment 926455 [details]
File: core_backtrace

Comment 4 Ales Zelinka 2014-08-13 14:13:42 UTC
Created attachment 926456 [details]
File: dso_list

Comment 5 Ales Zelinka 2014-08-13 14:13:43 UTC
Created attachment 926457 [details]
File: environ

Comment 6 Ales Zelinka 2014-08-13 14:13:45 UTC
Created attachment 926458 [details]
File: limits

Comment 7 Ales Zelinka 2014-08-13 14:13:47 UTC
Created attachment 926459 [details]
File: maps

Comment 8 Ales Zelinka 2014-08-13 14:13:49 UTC
Created attachment 926460 [details]
File: open_fds

Comment 9 Ales Zelinka 2014-08-13 14:13:50 UTC
Created attachment 926461 [details]
File: proc_pid_status

Comment 10 Ales Zelinka 2014-08-13 14:13:51 UTC
Created attachment 926462 [details]
File: var_log_messages

Comment 11 Dario Castellarin 2014-09-20 23:35:41 UTC
Another user experienced a similar problem:

I plugged an external monitor to the DP port through a DP-to-HDMI adapter, then I chaned the primary monitor using the system tools.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
kernel:         3.16.3-200.fc20.x86_64
package:        gnome-shell-3.10.4-8.fc20
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 12 JokeDude 2014-11-08 16:05:41 UTC
Another user experienced a similar problem:

Switching between monitors

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
kernel:         3.16.7-200.fc20.x86_64
package:        gnome-shell-3.10.4-9.fc20
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Fedora End Of Life 2015-05-29 12:37:38 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 22:03:31 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.